From 068b3176fb91061381c2086acf32709f886c8ab0 Mon Sep 17 00:00:00 2001
From: teldra <teldra@rotce.de>
Date: Sun, 23 Jun 2019 09:08:00 +0200
Subject: [PATCH] hashboot: unbreak aarch64

reverted to github mirror
---
 srcpkgs/hashboot/template | 12 ++++--------
 1 file changed, 4 insertions(+), 8 deletions(-)

diff --git a/srcpkgs/hashboot/template b/srcpkgs/hashboot/template
index 880f61c6bc2..9271e1aa761 100644
--- a/srcpkgs/hashboot/template
+++ b/srcpkgs/hashboot/template
@@ -1,20 +1,16 @@
 # Template file for 'hashboot'
 pkgname=hashboot
 version=0.9.14
-revision=1
+revision=2
 archs=noarch
-wrksrc=${pkgname}
+wrksrc=${pkgname}-${version}
 hostmakedepends="asciidoc"
 short_desc="Check integrity of files in /boot, mbr & (mostly) coreboot bios"
 maintainer="teldra <teldra@rotce.de>"
 license="custom: Hugware"
 homepage="https://schlomp.space/tastytea/hashboot"
-distfiles="https://schlomp.space/tastytea/hashboot/releases/download/${version}/${pkgname}-${version}.tar.gz"
-checksum=3c355017249b7d5b94f44db26215a9ebe6426109e362f6549cfeb2ef50ca47f0
-
-case "$XBPS_TARGET_MACHINE" in
-	aarch64*) broken="https://schlomp.space/tastytea/hashboot/releases/download/0.9.14/hashboot-0.9.14.tar.gz: Connection refused";;
-esac
+distfiles="https://github.com/tastytea/hashboot/archive/${version}.tar.gz"
+checksum=e044b13855faaf9816df55ff0614cc1fee7999de6e5160a0da38b46da86ecab7
 
 do_build() {
 	./build_manpage.sh
